package fsi.pixelcampusessentials;

import Plots.PlayerSelection;
import Plots.Plots;
import Plots.PlotsTabComplete;
import org.bukkit.plugin.java.JavaPlugin;

public final class PixelcampusEssentials extends JavaPlugin {

    static private PixelcampusEssentials thisPlugin;
    @Override
    public void onEnable() {

        thisPlugin = this;
        saveDefaultConfig();
        getConfig();

        getServer().getPluginManager().registerEvents(new PlayerSelection(),this);

        try {
            getCommand("plot").setExecutor(new Plots());
            getCommand("plot").setTabCompleter(new PlotsTabComplete());
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }

    public static PixelcampusEssentials getPlugin(){
        return thisPlugin;
    }
}
